=== debian/changelog ===
harvid (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 03 Jun 2013 01:28:13 +0100

harvid (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #704023)

 -- Robin Gareus <robin@gareus.org>  Tue, 26 Mar 2013 22:14:46 +0100
