=== debian/control ===
Source: harvid
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Robin Gareus <robin@gareus.org>
Build-Depends:
 debhelper (>= 9~),
 libavcodec-dev,
 libavformat-dev,
 libjpeg8-dev | libjpeg62-dev,
 libpng12-dev,
 libswscale-dev,
 pkg-config
Homepage: http://x42.github.com/harvid/
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/harvid.git

Package: harvid
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: HTTP Ardour Video Server
 Harvid is a HTTP server to efficiently extract, cache and
 serve still images from movie files.
 .
 It provides for frame-accurate decoding and is main use-case
 is to act as backend and second level cache for rendering the
 videotimeline in Ardour.
 .
 Harvid uses ffmpeg/libav and supports a wide variety of video
 codecs and formats.
