=== debian/changelog ===
harvid (0.7.3-4build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 21:41:47 +0100

harvid (0.7.3-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 May 2014 21:33:56 +0200

harvid (0.7.3-3) experimental; urgency=low

  * Team upload.
  * Add patch by Anton Khirnov and compile against Libav10 (Closes: #739304)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2014 19:23:05 -0400

harvid (0.7.3-2) unstable; urgency=low

  * Team upload.
  * debian/rules: Remove --parallel. The build system doesn't support parallel
    builds and fails to build on the buildds.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Aug 2013 17:46:07 +0200

harvid (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Change section to video. (Closes: #705629)

 -- Alessio Treglia <alessio@debian.org>  Fri, 28 Jun 2013 00:51:09 +0100
