=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: harvid
-Section: sound
+Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
@@ -7,14 +7,14 @@
  Robin Gareus <robin@gareus.org>
 Build-Depends:
  debhelper (>= 9~),
- libavcodec-dev,
- libavformat-dev,
+ libavcodec-dev (>= 6:10~),
+ libavformat-dev (>= 6:10~),
  libjpeg8-dev | libjpeg62-dev,
  libpng12-dev,
- libswscale-dev,
+ libswscale-dev (>= 6:10~),
  pkg-config
 Homepage: http://x42.github.com/harvid/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/harvid.git
