=== libharvid/Makefile ===
--- 
+++ 
@@ -20,6 +20,11 @@
   timecode.h \
   vinfo.h 
 
+ifeq ($(ARCH),mingw)
+	LIBHARVID_OBJECTS += snprintf.o
+	FLAGS += -DSNPRINTF_LONGLONG_SUPPORT -DHAVE_SNPRINTF -DPREFER_PORTABLE_SNPRINTF
+endif
+
 all: libharvid.a
 
 libharvid.a: $(LIBHARVID_OBJECTS) $(LIBHARVID_H)
@@ -41,6 +46,7 @@
 libharvid.dll: $(LIBHARVID_OBJECTS) $(LIBHARVID_H) .libharvid.sym dlog_null.c
 	echo "asm (\".section .drectve\");" > .libharvid_dll.c
 	sed -e "s/\(.*\)/asm (\".ascii \\\\\" -export:\1\\\\\"\");/" .libharvid.sym >> .libharvid_dll.c
+	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -o libharvid.$(LIBEXT) \
 	  -shared \
 	  $(LIBHARVID_OBJECTS) \
@@ -51,6 +57,7 @@
 
 libharvid.dylib: $(LIBHARVID_OBJECTS) $(LIBHARVID_H) .libharvid.sym
 	sed 's,^,_,' .libharvid.sym > .libharvid.expsym
+	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -o libharvid.$(LIBEXT) \
 	  -dynamiclib \
 	  $(LIBHARVID_OBJECTS) \
@@ -64,6 +71,7 @@
 	echo "{ global:" > .libharvid.ver
 	sed -e "s/\(.*\)/\1;/" .libharvid.sym >> .libharvid.ver
 	echo "local: *; };" >> .libharvid.ver
+	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -o libharvid.$(LIBEXT) \
 	  -fPIC -shared \
 	  $(LIBHARVID_OBJECTS) \
@@ -73,6 +81,7 @@
 
 
 %.o: %.c $(LIBHARVID_H)
+	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -c -o $(@) $(CFLAGS) $(FLAGS) $<
 
 install-lib: libharvid.a libharvid.$(LIBEXT)
