=== debian/changelog ===
harvid (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards.
  * Add myself as uploader.
  * Update copyright file.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 26 Oct 2014 19:17:43 +0100

harvid (0.7.3-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo
    (Closes: #763474)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 15:11:40 +0200
