=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Robin Gareus <robin@gareus.org>
+ Robin Gareus <robin@gareus.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9~),
  libavcodec-dev (>= 6:10~),
  libavformat-dev (>= 6:10~),
- libjpeg8-dev | libjpeg62-dev,
+ libjpeg-dev,
  libpng12-dev,
  libswscale-dev (>= 6:10~),
  pkg-config
 Homepage: http://x42.github.com/harvid/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/harvid.git
