=== debian/rules ===
#!/usr/bin/make -f

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
		VERSION="$(upstream_version)"

override_dh_auto_install:
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/harvid PREFIX=/usr

override_dh_auto_clean:
	dh_auto_clean || true
