## harvid 0.8.0

=== debian/changelog ===
harvid (0.8.0-2build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:03:05 +0200

harvid (0.8.0-2) unstable; urgency=medium

  * Add vim-common as build-dep. (Closes: #775416)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 24 Mar 2015 13:48:41 +0100

harvid (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Added spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 23 Mar 2015 20:55:57 +0100
