=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  libjpeg-dev,
  libpng12-dev,
  libswscale-dev (>= 6:10~),
- pkg-config
+ pkg-config,
+ vim-common
 Homepage: http://x42.github.com/harvid/
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git
