## harvid 0.8.1

=== libharvid/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	  -dynamiclib \
 	  $(LIBHARVID_OBJECTS) \
 	  $(CFLAGS) $(FLAGS) \
-	  -install_name $(libdir)/libltc.0.$(LIBEXT) \
+	  -install_name $(libdir)/libharvid.0.$(LIBEXT) \
 	  -Wl,-undefined -Wl,dynamic_lookup \
 	  -Wl,-single_module -Wl,-exported_symbols_list,.libharvid.expsym
 	dsymutil libharvid.$(LIBEXT)
