=== debian/changelog ===
harvid (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Change libpng12-dev to libpng-dev. (Closes: #810175)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Jan 2016 00:46:36 +0100

harvid (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1
  * Patches apllied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 01 Dec 2015 14:10:20 +0100

harvid (0.8.0-4) unstable; urgency=medium

  * Patches forwarded.
  * Add patch to fix parallel building (Closes: #804222).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 07 Nov 2015 15:15:58 +0100

harvid (0.8.0-3) unstable; urgency=medium

  * Add ffmpeg_2.9.patch (Closes: #803824)
  * Remove libav patch.
  * Build parallel.
  * Add gitigonere file.
  * Add local-options file.
  * Fix more spelling errors.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 03 Nov 2015 08:21:08 +0100
