=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libavcodec-dev (>= 6:10~),
  libavformat-dev (>= 6:10~),
  libjpeg-dev,
- libpng12-dev,
+ libpng-dev,
  libswscale-dev (>= 6:10~),
  pkg-config,
  vim-common
