=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
 
 %:
-	dh $@ -Smakefile
+	dh $@ -Smakefile --parallel
 
 override_dh_auto_build:
 	dh_auto_build -- \
