## harvid 0.8.2

=== debian/changelog ===
harvid (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Fix VCS fields.
  * Bump Standards.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Jan 2017 20:04:52 +0100

harvid (0.8.1-3) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Mon, 31 Oct 2016 13:43:14 +0000
