=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10),
  libavcodec-dev (>= 6:10~),
  libavformat-dev (>= 6:10~),
  libjpeg-dev,
@@ -16,9 +15,9 @@
  pkg-config,
  vim-common
 Homepage: http://x42.github.com/harvid/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/harvid.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/harvid.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/harvid.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/harvid.git
 
 Package: harvid
 Architecture: any
