=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ -Smakefile --parallel
+	dh $@ -Smakefile
 
 override_dh_auto_build:
 	dh_auto_build -- \
