=== debian/watch ===
version=3
https://github.com/x42/harvid/tags .*/v?(\d[\d\.]+)\.tar\.gz
