=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
-LOGODEP=logo.o seek.o
+ifneq ($(shell which xxd),)
+  LOGODEP=logo.c seek.c
+else
+  LOGODEP=logo.o seek.o
+endif
 
 include ../common.mak
 
@@ -53,18 +57,37 @@
   socket_server.c \
   ../libharvid/libharvid.a
 
+ifneq ($(shell which xxd),)
+FLAGS+=-DXXDI
+
+logo.c: ../doc/harvid.jpg
+	xxd -i ../doc/harvid.jpg > logo.c
+
+seek.c: ../doc/seek.js
+	xxd -i ../doc/seek.js > seek.c
+
+logo.o: ../doc/harvid.jpg
+	xxd -i ../doc/harvid.jpg | $(CC) -x c - -c -o logo.o
+
+seek.o: ../doc/seek.js
+	xxd -i ../doc/seek.js | $(CC) -x c - -c -o seek.o
+
+else
+
 logo.o: ../doc/harvid.jpg
 	$(LD) -r -b binary -o logo.o ../doc/harvid.jpg
 
 seek.o: ../doc/seek.js
 	$(LD) -r -b binary -o seek.o ../doc/seek.js
 
+endif
+
 harvid: $(HARVID_SRC) $(HARVID_H) $(LOGODEP)
 	export PKG_CONFIG_PATH=$(PKG_CONFIG_PATH);\
 	$(CC) -o $(@) $(CFLAGS) $(FLAGS) $(HARVID_SRC) $(LOGODEP) $(LDFLAGS) $(LOADLIBES)
 
 clean:
-	rm -f harvid logo.o seek.o cscope.* tags
+	rm -f harvid logo.c logo.o seek.c seek.o cscope.* tags
 
 man: harvid
 	help2man -N -n 'video server' -o ../doc/harvid.1 ./harvid
