=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: harvid
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libavcodec-dev (>= 6:10~),
  libavformat-dev (>= 6:10~),
  libjpeg-dev,
@@ -15,9 +15,9 @@
  pkg-config,
  vim-common
 Homepage: http://x42.github.com/harvid/
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/harvid.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/harvid.git
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/harvid.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/harvid
 
 Package: harvid
 Architecture: any
