## harvid 0.9.0

=== debian/changelog ===
harvid (0.9.0-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:52:13 +0000

harvid (0.9.0-1) unstable; urgency=medium

  * Team upload

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Fix FTCBFS: Make pkg-config substitutable.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #964148)
  * Fix FTCBFS: Pass PKG_CONFIG to all targets.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #964148)

  [ Sebastian Ramacher ]
  * New upstream version 0.9.0
    - Fix build with ffmpeg 5.0 (Closes: #1004826)
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Apr 2022 18:14:03 +0200

harvid (0.8.3-2) unstable; urgency=medium

  * Team upload.

  * Drop build-test for libjpeg (Closes: #963393)
  * Update vim-common build dependency to xxd.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #912831)
  * Bump dh-compat to 13
  * Use https:// for Homepage-stanza
  * Bump standards-version to 4.5.0
  * Declare that building this package does not require 'root' powers
  * Patch to fix spelling errors

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Jun 2020 12:08:34 +0200
