=== debian/changelog ===
harvid (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.1
    + Refresh patches
    + Drop patches applied upstream
  * Update d/copyright
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 22 Jan 2023 22:07:44 +0100

harvid (0.9.0-2) unstable; urgency=medium

  * Team upload.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Patch to allow building against FFmpeg-5.1 (Closes: #1017140)
  * Bump standards version to 4.6.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Aug 2022 13:09:43 +0200
