=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: harvid
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
  debhelper-compat (= 13),
- libavcodec-dev (>= 6:10~),
- libavformat-dev (>= 6:10~),
+ libavcodec-dev,
+ libavformat-dev,
  libjpeg-dev,
  libpng-dev,
- libswscale-dev (>= 6:10~),
+ libswscale-dev,
  pkg-config,
  xxd,
 Homepage: https://x42.github.com/harvid/
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/harvid.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/harvid
