=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,15 @@
 
 override_dh_auto_clean:
 	dh_auto_clean || true
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*|doc/harvid.jpg
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints
