=== debian/watch ===
version=4
https://github.com/x42/harvid/tags .*/v?(\d[\d\.]+)\.tar\.gz
